Skip to content

Sandbox - Update Webhook

Request

Update an existing webhook subscription.

Security
ArxusSSO(Required scopes: ROLE_ITSM_SANDBOX_WRITE)
Path
webhookIdstringrequired

The unique identifier of the webhook.

Bodyapplication/jsonrequired
contractsArray of strings

The contracts that trigger the webhook (wildcards permitted).

Example:
[ "*" ]
eventsArray of strings

The events that trigger the webhook (wildcards permitted).

Example:
[ "case.updated" ]
urlstring, (uri)

The callback URL of the webhook.

Example:"https://example.com/webhooks/care"
auth(Webhook Basic Auth (object or null)) or (Webhook Bearer Auth (object or null)) or (Webhook Header Auth (object or null)) or (Webhook Auth List (object or null))
Example:null
One of:

Basic authentication for a webhook.

curl -i -X PATCH \
  'https://developer.arxus.eu/_mock/apis/care/openapi/sandbox/webhooks/{webhookId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "contracts": [
      "*"
    ],
    "events": [
      "case.updated"
    ],
    "url": "https://example.com/webhooks/care",
    "auth": {
      "type": "basic",
      "username": "my-service-user",
      "password": "s3cr3t-p@ssw0rd"
    }
  }'

Responses

The updated webhook.

Bodyapplication/json
metaobject(Response metadata)

Response metadata schema.

dataobject(Webhook)

A webhook that is triggered by events in the Care API.

Response
{ "meta": {}, "data": { "id": "6825d2cf57918d1ca439bb5e", "contracts": [ … ], "events": [ … ], "url": "https://example.com/webhooks/care", "auth": { … }, "created": "2025-01-15T10:30:00Z", "updated": "2025-01-16T08:00:00Z", "called": null } }